Delete a container
DELETE
/container/{ocid}
const url = 'https://sylve.lan:8181/api/container/1';const options = {method: 'DELETE', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://sylve.lan:8181/api/container/1 \ --header 'Authorization: <Authorization>'Queue deletion of a container; volumes are kept unless deleteVolumes is true
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ocid
required
integer
Container ID
Query Parameters
Section titled “Query Parameters”deleteVolumes
boolean
Destroy the container’s volumes
Responses
Section titled “Responses”Accepted
Media typeapplication/json
object
data
object
action
string
ocId
integer
outcome
string
taskId
integer
error
string
message
string
status
string
Examplegenerated
{ "data": { "action": "example", "ocId": 1, "outcome": "example", "taskId": 1 }, "error": "example", "message": "example", "status": "example"}